commit:     ab7dc2f9e84448289ef7643d0718f49569843124
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 29 09:33:15 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Sep 29 14:19:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab7dc2f9

dev-ruby/activesupport: add rails 4.2.10

Package-Manager: Portage-2.3.8, Repoman-2.3.2

 dev-ruby/activesupport/Manifest                    |  1 +
 dev-ruby/activesupport/activesupport-4.2.10.ebuild | 62 ++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index ecf68adc92a..98b6ed8f2fb 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -1,3 +1,4 @@
+DIST rails-4.2.10.tgz 4080905 SHA256 
268a718a7a49ee3406027ac5b871959c096ae02d47db6a97934932897ee6e350 SHA512 
c1331638326960c6df9000a2383ad1905d5e794fddddfdc7422cfa2ff89039e3c0e272a79fa43423d5ae0e56436eceb22b8276e6a8bce7eb765da33f02742318
 WHIRLPOOL 
4ec289a2a4115e9b7cad4206fd5787b013bd273d42de1b197c17407e78c607a1d733213ff7068781ab6cc62cbc213f192ad6f0fcc363e053288a86e4d1002714
 DIST rails-4.2.8.tgz 4077925 SHA256 
55e15e101fc4a466a8acafdd679509f6e25992d50ade2d98b098558c698a6320 SHA512 
a457ec7422b83f35e8d1ac26f1ef8fbaec985034c5804ce92334c45fa4e4b11a29acdcef2c009c36be2deb4724faeb91b99f76a665eeacd1bda9448db2299f89
 WHIRLPOOL 
ed46c71f527ba59f0ff4d00ae5881b46984500b4493b4c511b8037d94c76b40c0e531c635337b0795887e028aad5136048ba69b57e482489c3c049585f18f42f
 DIST rails-4.2.9.tgz 4080618 SHA256 
c6b2119e0ef5a3359d00a0e634b5a3bd833e8d1108d96beaecaf83d7f82fce4e SHA512 
2facc17faf0e76c8e13f997c9def344bd3e35aa77a596d85975f47eba837f99033f492f45485448f924adea95ffdd2f7c169dd2970be5f8c12bbafb23da51ec3
 WHIRLPOOL 
adee3ffecc82838fbcbce50dfacb8ef813e061508f04306d15022c10fd0778cc2cde20ce2b913c4543541fce070b1a89439b56f4426cbe8a002e0d1fbfc6e33e
 DIST rails-5.0.3.tgz 6041420 SHA256 
0c16f63af96529c1e3d2b4476031bd024ae403322fe78e80e188a422412dc582 SHA512 
5a25747507d2a8e1d2a19ce14c77a80c4f9bd5751fb343c3f405b8d9ec170d11fb866ebfedf6b850b6750399015631ab1551e6f78e097c6514061462a05e88f3
 WHIRLPOOL 
25fd8473a4eed2f007b99e22cb7ccf834780d4f21478a0818c44bea525f4c839610bab2b52ae5087a881f8d5519b78616f4e53e6a21f7d6f9270c0ddf648a2a5

diff --git a/dev-ruby/activesupport/activesupport-4.2.10.ebuild 
b/dev-ruby/activesupport/activesupport-4.2.10.ebuild
new file mode 100644
index 00000000000..147c955a6ce
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-4.2.10.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux 
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       >=dev-ruby/i18n-0.7:0.7
+       >=dev-ruby/tzinfo-1.1:1
+       >=dev-ruby/minitest-5.1:5
+       >=dev-ruby/thread_safe-0.3.4:0"
+
+# memcache-client, nokogiri, and builder are not strictly
+# needed, but there are tests using this code.
+ruby_add_bdepend "test? (
+       >=dev-ruby/dalli-2.2.1
+       >=dev-ruby/nokogiri-1.4.5
+       >=dev-ruby/builder-3.1.0
+       dev-ruby/rack
+       dev-ruby/mocha:0.14
+       )"
+
+all_ruby_prepare() {
+       # Set the secure permissions that tests expect.
+       chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -i -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|minitest\|mime-types\|sprockets\|stackprof\|rack-cache\|sqlite\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' \
+               -e 's/gemspec/gemspec path: "activesupport"/' \
+               -e '5igem "builder"; gem "rack"' ../Gemfile || die
+       rm ../Gemfile.lock || die
+
+       # Avoid test that fails with Minitest 5.4 since that already defines
+       # a string E in its TestCase.
+       rm test/core_ext/marshal_test.rb || die
+       sed -i -e '/test_const_missing_in_anonymous_modules/askip "gentoo 
minitest"' test/dependencies_test.rb || die
+}

Reply via email to